Subject: Re: [avtext] I-DAction:draft-ietf-avtext-multiple-clock-rates-04.txt

From: Qin Wu <[email-masked]>
Date: Thu, 3 May 2012 15:30:49 +0800

I have reviewed this update and Here is my comments  to draft-ietf-avtext-multiple-clock-rates-04:
- Section 3.1:
[Qin]: s/is considered a corner case/is considered as a corner case

- Section 3.2.1 describe the formula to calculate the transit time on the receiving side as follows:
"
- 3.2.1.  Monotonic timestamps
........
   Calculating the correct transit time on the receiving side can be
   done by using the following formulas:

   1.  current_time_capture = current_timestamp - previous_timestamp) /
       current_clock_rate + previous_time_capture

   2.  transit = current_clock_rate * (time_arrival -
       current_time_capture)

   3.  previous_time_capture = current_time_capture
"

[Qin]: the leftmost bracket is missing in the above fomulas.
[Qin]: To get consistent with the first fomula described in the 1st paragraph of section 3.2.1
I think the following changes to three formulas defined above are needed:

s/time_arrival/arrival_time
s/current_time_capture/current_capture_time
s/previous_time_capture/current_capture_time

[Qin]: Why previous_time_capture or current_time_capture should not be measured or observed rather than relying on the
above fomulas to calculate themselves?

- Section 4.1
[Qin]: Section 3.2 provides two algorithms on how to calculate timestamp,
a. Monotonic timestamps calculation algorithm
b. Non-Monotonic timestamps calculation algorithm
In section 4.1, the recommendation are given to the case of RTP Sender 
without RTCP.
It is not clear to me which algorithm is applied to this case? a or b?
If it is a, I think the following formula 
"
   timestamp = (capture_time - capture_start) * clock_rate +
   start_offset
"
should be corrected as
"
   timestamp = previous_timestamp +
   start_offset
"
Would you like to clarify this or correct me?

- Section 5
[Qin]: I am not sure clock rate change can introduce any risk. 
but one thing that came up to me is how to differiate impostor changing payload
from RTP sender changeing payload and associated clock rate? Maybe you can add the
following texts to address this.
"
The security considerations documented in [RFC3550] are also
applicable for the clock rate calculation due to payload 
change defined in this document.
"

Regards!
-Qin

> On 04/23/2012 03:46 PM, Glen Zorn wrote:
>> I talked with Marc about this draft in Paris.  I believe that he was 
>> of the opinion that it would be ready for WGLC with a few editorial 
>> changes; I've made those changes (and a few others) and I think that 
>> it is, indeed, ready.
>>
>>> A New Internet-Draft is available from the on-line Internet-Drafts 
>>> directories. This draft is a work item of the Audio/Video Transport 
>>> Extensions Working Group of the IETF.
>>>
>>>     Title           : Support for Multiple Clock Rates in an RTP Session
>>>     Author(s)       : Marc Petit-Huguenin
>>>                            Glen Zorn
>>>     Filename        : draft-ietf-avtext-multiple-clock-rates-04.txt
>>>     Pages           : 11
>>>     Date            : 2012-04-23
>>>
>>>     This document clarifies the RTP specification when different clock
>>>     rates are used in an RTP session.  It also provides guidance on how
>>>     to interoperate with legacy RTP implementations that use multiple
>>>     clock rates.
>>>
>>>
>>> A URL for this Internet-Draft is:
>>> http://www.ietf.org/internet-drafts/draft-ietf-avtext-multiple-clock-rates-04.txt 
>>>
>>>
>>> Internet-Drafts are also available by anonymous FTP at:
>>> ftp://ftp.ietf.org/internet-drafts/
>>>
>>> This Internet-Draft can be retrieved at:
>>> ftp://ftp.ietf.org/internet-drafts/draft-ietf-avtext-multiple-clock-rates-04.txt 
>>>
>>>
>>> _______________________________________________
>>> avtext mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/avtext
>>
>> _______________________________________________
>> avtext mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/avtext
>>
> 
> _______________________________________________
> avtext mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/avtext
>